import 'package:flutter/material.dart';
import 'package:furman_now/src/utils/theme.dart';
import 'package:furman_now/src/widgets/info/info_card.dart';
import 'package:furman_now/src/widgets/scroll_view_height.dart';

class InfoScreen extends StatelessWidget {
  const InfoScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        color: Colors.grey[100],
        child: SafeArea(
          child: Stack(
            fit: StackFit.loose,
            children: [
              SizedBox(
                width: double.infinity,
                height: double.infinity,
                child: Align(
                  alignment: Alignment.topLeft,
                  child: Container(
                    padding: const EdgeInsets.symmetric(horizontal: 30),
                    width: double.infinity,
                    height: 100,
                    child: Column(
                      mainAxisAlignment: MainAxisAlignment.center,
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: [
                        Wrap(
                          crossAxisAlignment: WrapCrossAlignment.center,
                          children: [
                            Icon(Icons.info_outline, size: 35, color: Colors.grey[700]),
                            const SizedBox(width: 12),
                            Text("Info", style: furmanTextStyle(TextStyle(color: Colors.grey[900], fontSize: 28, fontWeight: FontWeight.w700))),
                          ],
                        ),
                      ],
                    ),
                  ),
                ),
              ),
              ScrollViewWithHeight(
                child: Container(
                  decoration: const BoxDecoration(
                    color: Colors.white,
                    borderRadius: BorderRadius.vertical(top: Radius.circular(30)),
                  ),
                  padding: const EdgeInsets.symmetric(vertical: 20, horizontal: 20),
                  margin: const EdgeInsets.only(top: 100),
                  width: double.infinity,
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      InfoCard(
                        color: Colors.red.shade50,
                        icon: Icons.local_hospital,
                        title: "Health and Safety",
                        description: "Important contact information and links regarding student health and safety.",
                      ),
                      const SizedBox(height: 10),
                      InfoCard(
                          color: Colors.deepPurple.shade50,
                          icon: Icons.phone,
                          title: "Contacts",
                          description: "Important contact information and links regarding student health and safety.",
                      ),
                      const SizedBox(height: 10),
                      InfoCard(
                          color: Colors.blue.shade50,
                          icon: Icons.access_time,
                          title: "Hours",
                          description: "Important contact information and links regarding student health and safety.",
                      ),
                    ],
                  ),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
