import 'package:flutter/material.dart';
import 'package:furman_now/src/services/events/event.dart';
import 'package:furman_now/src/services/events/events_service.dart';
import 'package:furman_now/src/services/restaurants/restaurant_service.dart';

class AppState extends ChangeNotifier {
  late Future<List<Event>> events;
  late Future<List<Restaurant>> restaurants;

  AppState() {
    refresh();
  }

  void refresh() {
    events = EventsService.fetchEvents();
    restaurants = RestaurantService.fetchRestaurants();
    notifyListeners();
  }

  @override
  int get hashCode =>
      events.hashCode ^
      restaurants.hashCode;

  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
          other is AppState &&
              runtimeType == other.runtimeType &&
              events == other.events &&
              restaurants == other.restaurants;

}