import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

ThemeData _baseTheme = ThemeData(
  primarySwatch: Colors.deepPurple,
  bottomNavigationBarTheme: BottomNavigationBarThemeData(
    backgroundColor: Colors.grey[100],
    unselectedItemColor: Colors.grey[500],
  ),
  textTheme: TextTheme(
    headline1: TextStyle(
      color: Colors.grey[800],
      fontWeight: FontWeight.w900,
      fontSize: 22,
    ),
    subtitle1: TextStyle(
      color: Colors.grey[500],
      fontWeight: FontWeight.w500,
      fontSize: 16,
    ),
    subtitle2: TextStyle(
      color: Colors.grey[500],
      fontWeight: FontWeight.w500,
      fontSize: 14,
    ),
  ),
);

ThemeData myFurmanTheme = _baseTheme.copyWith(
  textTheme: GoogleFonts.interTextTheme(_baseTheme.textTheme),
);

var furmanTextStyle = (TextStyle baseStyle) => GoogleFonts.inter(textStyle: baseStyle);
