import 'package:flutter/material.dart';

class InfoCard extends StatelessWidget {
  final Color color;
  final IconData icon;
  final String title;
  final String description;

  const InfoCard({
    required this.color,
    required this.icon,
    required this.title,
    required this.description,
    Key? key
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        color: color,
        borderRadius: BorderRadius.circular(10),
      ),
      child: Row(
        children: [
          Padding(
              padding: const EdgeInsets.only(left: 15, right: 5),
              child: Icon(icon, size: 40,)
          ),
          Flexible(
            child: Container(
              padding: const EdgeInsets.symmetric(horizontal: 15, vertical: 10),
              child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Text(title, style: Theme.of(context).textTheme.titleLarge,),
                    Text(description),
                  ]
              ),
            ),
          )
        ],
      ),
    );
  }
}